> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieldiu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Booking Availability

> Checks whether a specific date and time slot is available for booking.



## OpenAPI

````yaml POST /api/v1/ai-agent/is-booking-available
openapi: 3.0.1
info:
  title: Fieldiu Integration API
  description: Internal integration endpoints for Fieldiu.
  version: v1
  contact:
    name: Fieldiu Support
  license:
    name: Proprietary
servers:
  - url: https://integration.fieldiu.online
security:
  - ApiKeyAuth: []
    OrgIdAuth: []
paths:
  /api/v1/ai-agent/is-booking-available:
    post:
      tags:
        - AI Agent
      summary: Check Booking Availability
      description: Checks whether a specific date and time slot is available for booking.
      operationId: isBookingAvailable
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkorderBookingAvailableRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkorderBookingAvailableRequest:
      type: object
      properties:
        dateTime:
          type: string
          format: date-time
          nullable: true
          description: Date and time to check availability for (ISO 8601)
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Your organization's API key
    OrgIdAuth:
      type: apiKey
      in: header
      name: X-ORG-ID
      description: Your organization's identifier

````